package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowEntity;
/**
* 站点部门窗口查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class WindowQuery extends WindowEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 窗口名称 */
    private List<String> nameList;

    /** 英语窗口名 */
    private List<String> englishNameList;

    /** 区域 */
    private List<String> regionList;

    /** 英语区域 */
    private List<String> englishRegionList;

    /** 窗口编号 */
    private List<String> fromnumList;

    /** 开始 红旗窗口 (1.是，0.否) */
    private Integer hongqiStart;

    /** 结束 红旗窗口 (1.是，0.否) */
    private Integer hongqiEnd;

    /** 增加 红旗窗口 (1.是，0.否) */
    private Integer hongqiIncrement;

    /** 红旗窗口 (1.是，0.否)列表 */
    private List <Integer> hongqiList;

    /** 备注 */
    private List<String> summaryList;

    /** 开始 楼栋 */
    private Integer buildingStart;

    /** 结束 楼栋 */
    private Integer buildingEnd;

    /** 增加 楼栋 */
    private Integer buildingIncrement;

    /** 楼栋列表 */
    private List <Integer> buildingList;

    /** 开始 楼层 */
    private Integer levelStart;

    /** 结束 楼层 */
    private Integer levelEnd;

    /** 增加 楼层 */
    private Integer levelIncrement;

    /** 楼层列表 */
    private List <Integer> levelList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowQuery> andConditionList;

    public WindowQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 部门ID
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门ID
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门ID
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门ID
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
    * 获取 窗口名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 窗口名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 英语窗口名
    * @return englishNameList
    */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
    * 设置 英语窗口名
    * @param englishNameList
    */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }
    /**
    * 获取 区域
    * @return regionList
    */
    public List<String> getRegionList(){
        return this.regionList;
    }

    /**
    * 设置 区域
    * @param regionList
    */
    public void setRegionList(List<String> regionList){
        this.regionList = regionList;
    }
    /**
    * 获取 英语区域
    * @return englishRegionList
    */
    public List<String> getEnglishRegionList(){
        return this.englishRegionList;
    }

    /**
    * 设置 英语区域
    * @param englishRegionList
    */
    public void setEnglishRegionList(List<String> englishRegionList){
        this.englishRegionList = englishRegionList;
    }
    /**
    * 获取 窗口编号
    * @return fromnumList
    */
    public List<String> getFromnumList(){
        return this.fromnumList;
    }

    /**
    * 设置 窗口编号
    * @param fromnumList
    */
    public void setFromnumList(List<String> fromnumList){
        this.fromnumList = fromnumList;
    }
    /**
    * 获取 开始 红旗窗口 (1.是，0.否)
    * @return hongqiStart
    */
    public Integer getHongqiStart(){
        return this.hongqiStart;
    }

    /**
    * 设置 开始 红旗窗口 (1.是，0.否)
    * @param hongqiStart
    */
    public void setHongqiStart(Integer hongqiStart){
        this.hongqiStart = hongqiStart;
    }

    /**
    * 获取 结束 红旗窗口 (1.是，0.否)
    * @return $hongqiEnd
    */
    public Integer getHongqiEnd(){
        return this.hongqiEnd;
    }

    /**
    * 设置 结束 红旗窗口 (1.是，0.否)
    * @param hongqiEnd
    */
    public void setHongqiEnd(Integer hongqiEnd){
        this.hongqiEnd = hongqiEnd;
    }

    /**
    * 获取 增加 红旗窗口 (1.是，0.否)
    * @return hongqiIncrement
    */
    public Integer getHongqiIncrement(){
        return this.hongqiIncrement;
    }

    /**
    * 设置 增加 红旗窗口 (1.是，0.否)
    * @param hongqiIncrement
    */
    public void setHongqiIncrement(Integer hongqiIncrement){
        this.hongqiIncrement = hongqiIncrement;
    }

    /**
    * 获取 红旗窗口 (1.是，0.否)
    * @return hongqiList
    */
    public List<Integer> getHongqiList(){
        return this.hongqiList;
    }

    /**
    * 设置 红旗窗口 (1.是，0.否)
    * @param hongqiList
    */
    public void setHongqiList(List<Integer> hongqiList){
        this.hongqiList = hongqiList;
    }

    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 楼栋
    * @return buildingStart
    */
    public Integer getBuildingStart(){
        return this.buildingStart;
    }

    /**
    * 设置 开始 楼栋
    * @param buildingStart
    */
    public void setBuildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
    }

    /**
    * 获取 结束 楼栋
    * @return $buildingEnd
    */
    public Integer getBuildingEnd(){
        return this.buildingEnd;
    }

    /**
    * 设置 结束 楼栋
    * @param buildingEnd
    */
    public void setBuildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
    }

    /**
    * 获取 增加 楼栋
    * @return buildingIncrement
    */
    public Integer getBuildingIncrement(){
        return this.buildingIncrement;
    }

    /**
    * 设置 增加 楼栋
    * @param buildingIncrement
    */
    public void setBuildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
    }

    /**
    * 获取 楼栋
    * @return buildingList
    */
    public List<Integer> getBuildingList(){
        return this.buildingList;
    }

    /**
    * 设置 楼栋
    * @param buildingList
    */
    public void setBuildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
    }

    /**
    * 获取 开始 楼层
    * @return levelStart
    */
    public Integer getLevelStart(){
        return this.levelStart;
    }

    /**
    * 设置 开始 楼层
    * @param levelStart
    */
    public void setLevelStart(Integer levelStart){
        this.levelStart = levelStart;
    }

    /**
    * 获取 结束 楼层
    * @return $levelEnd
    */
    public Integer getLevelEnd(){
        return this.levelEnd;
    }

    /**
    * 设置 结束 楼层
    * @param levelEnd
    */
    public void setLevelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
    }

    /**
    * 获取 增加 楼层
    * @return levelIncrement
    */
    public Integer getLevelIncrement(){
        return this.levelIncrement;
    }

    /**
    * 设置 增加 楼层
    * @param levelIncrement
    */
    public void setLevelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
    }

    /**
    * 获取 楼层
    * @return levelList
    */
    public List<Integer> getLevelList(){
        return this.levelList;
    }

    /**
    * 设置 楼层
    * @param levelList
    */
    public void setLevelList(List<Integer> levelList){
        this.levelList = levelList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WindowQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WindowQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WindowQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WindowQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WindowQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public WindowQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public WindowQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public WindowQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public WindowQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public WindowQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public WindowQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public WindowQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  部门ID
    * @param deptId
    */
    public WindowQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public WindowQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public WindowQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public WindowQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public WindowQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public WindowQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public WindowQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


	/**
    * 设置 窗口名称
    * @param name
    */
    public WindowQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 窗口名称
    * @param nameList
    */
    public WindowQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 英语窗口名
    * @param englishName
    */
    public WindowQuery englishName(String englishName){
        setEnglishName(englishName);
		return this;
    }

    /**
    * 设置 英语窗口名
    * @param englishNameList
    */
    public WindowQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
		return this;
    }


	/**
    * 设置 区域
    * @param region
    */
    public WindowQuery region(String region){
        setRegion(region);
		return this;
    }

    /**
    * 设置 区域
    * @param regionList
    */
    public WindowQuery regionList(List<String> regionList){
        this.regionList = regionList;
		return this;
    }


	/**
    * 设置 英语区域
    * @param englishRegion
    */
    public WindowQuery englishRegion(String englishRegion){
        setEnglishRegion(englishRegion);
		return this;
    }

    /**
    * 设置 英语区域
    * @param englishRegionList
    */
    public WindowQuery englishRegionList(List<String> englishRegionList){
        this.englishRegionList = englishRegionList;
		return this;
    }


	/**
    * 设置 窗口编号
    * @param fromnum
    */
    public WindowQuery fromnum(String fromnum){
        setFromnum(fromnum);
		return this;
    }

    /**
    * 设置 窗口编号
    * @param fromnumList
    */
    public WindowQuery fromnumList(List<String> fromnumList){
        this.fromnumList = fromnumList;
		return this;
    }

    /**
    * 设置  红旗窗口 (1.是，0.否)
    * @param hongqi
    */
    public WindowQuery hongqi(Integer hongqi){
	    setHongqi(hongqi);
		return this;
    }
	
	 /**
    * 设置 开始 红旗窗口 (1.是，0.否)
    * @param hongqiStart
    */
    public WindowQuery hongqiStart(Integer hongqiStart){
		this.hongqiStart = hongqiStart;
		return this;
    }

    /**
    * 设置 结束 红旗窗口 (1.是，0.否)
    * @param hongqiEnd
    */
    public WindowQuery hongqiEnd(Integer hongqiEnd){
		this.hongqiEnd = hongqiEnd;
		return this;
    }

    /**
    * 设置 增加 红旗窗口 (1.是，0.否)
    * @param hongqiIncrement
    */
    public WindowQuery hongqiIncrement(Integer hongqiIncrement){
		this.hongqiIncrement = hongqiIncrement;
		return this;
    }

    /**
    * 设置 红旗窗口 (1.是，0.否)
    * @param hongqiList
    */
    public WindowQuery hongqiList(List<Integer> hongqiList){
        this.hongqiList = hongqiList;
		return this;
        }


	/**
    * 设置 备注
    * @param summary
    */
    public WindowQuery summary(String summary){
        setSummary(summary);
		return this;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public WindowQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }

    /**
    * 设置  楼栋
    * @param building
    */
    public WindowQuery building(Integer building){
	    setBuilding(building);
		return this;
    }
	
	 /**
    * 设置 开始 楼栋
    * @param buildingStart
    */
    public WindowQuery buildingStart(Integer buildingStart){
		this.buildingStart = buildingStart;
		return this;
    }

    /**
    * 设置 结束 楼栋
    * @param buildingEnd
    */
    public WindowQuery buildingEnd(Integer buildingEnd){
		this.buildingEnd = buildingEnd;
		return this;
    }

    /**
    * 设置 增加 楼栋
    * @param buildingIncrement
    */
    public WindowQuery buildingIncrement(Integer buildingIncrement){
		this.buildingIncrement = buildingIncrement;
		return this;
    }

    /**
    * 设置 楼栋
    * @param buildingList
    */
    public WindowQuery buildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
		return this;
        }

    /**
    * 设置  楼层
    * @param level
    */
    public WindowQuery level(Integer level){
	    setLevel(level);
		return this;
    }
	
	 /**
    * 设置 开始 楼层
    * @param levelStart
    */
    public WindowQuery levelStart(Integer levelStart){
		this.levelStart = levelStart;
		return this;
    }

    /**
    * 设置 结束 楼层
    * @param levelEnd
    */
    public WindowQuery levelEnd(Integer levelEnd){
		this.levelEnd = levelEnd;
		return this;
    }

    /**
    * 设置 增加 楼层
    * @param levelIncrement
    */
    public WindowQuery levelIncrement(Integer levelIncrement){
		this.levelIncrement = levelIncrement;
		return this;
    }

    /**
    * 设置 楼层
    * @param levelList
    */
    public WindowQuery levelList(List<Integer> levelList){
        this.levelList = levelList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WindowQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WindowQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WindowQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WindowQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WindowQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WindowQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WindowQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WindowQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WindowQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}